eboard (1.1.3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Breaks and Replaces for eboard-extras-pack1 because
    the extra pack is included in eboard now. (Closes: #913011)

 -- Markus Koschany <apo@debian.org>  Tue, 06 Nov 2018 13:05:34 +0100

eboard (1.1.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.1.3
    - Fix stack smashing. (Closes: #893167)
  * Drop deprecated menu file. (Closes: #737863)
  * Update debian/watch and track new releases at github.com (Closes: #890673)
  * Use secure Homepage URI.
  * Remove sox recommendation and drop 03_fix_sound.dpatch because
    sox is no longer required for sound. (Closes: #599655)
  * Drop all old patches except of the translation patches and
    90_respect_deb_build_options.patch.
  * Rebase translation patches.
  * Install desktop icon into hicolor directory.
  * Build-depend on libgstreamer1.0-dev.

 -- Markus Koschany <apo@debian.org>  Sun, 28 Oct 2018 21:09:01 +0100

eboard (1.1.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpng16 (Closes: #741990)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Apr 2016 15:59:37 +0200

eboard (1.1.1-6) unstable; urgency=low

  * debian/patches/96_ubuntu_gcc_4.6.dpatch: Added, thanks to Daniel T Chen
  * Set debhelper compatibility to 9
  * eboard.desktop: Add German translation, thanks to Ronny Standtke
    (Closes: #667650)
  * Build with -fsigned-char to fix a freeze on PowerPc (Closes: #731384)
  * Standards-Version 3.9.5
  * Build with hardening flags: Update 90_respect_deb_build_options.dpatch and
    91_fix_ftbfs_554315.dpatch to respect CXXFLAGS, CPPFLAGS and LDFLAGS

 -- Vincent Legout <vlegout@debian.org>  Wed, 01 Jan 2014 07:47:58 +0100

eboard (1.1.1-5) unstable; urgency=low

  * New maintainer (Closes: #648340)
  * debian/rules: Rewrite using dh
    - debian/clean: Added
  * Use 3.0 (quilt) source format, add debian/source/format
  * Use quilt instead of dpatch:
    - Rename debian/patches/00list to debian/patches/series
    - Add DEP-3 headers
  * debian/dirs: Only /usr/games/ is needed
  * debhelper 8:
    - Bump debian/compat
    - Update debhelper Build-Depends
  * debian/control:
    - Add ${misc:Depends}
    - Drop Build-Depends on dpatch and g++ (g++ 3.2.2 was released in 2003)
    - Use Breaks plus Replaces instead of Conflicts
    - Standards-Version 3.9.2
  * debian/copyright: Explicitly refer to the GPL-2 license
  * Drop debian/patches/02_add_desktop_entry.dpatch:
    - Add debian/eboard.desktop and install it with debian/eboard.install
    - Rename icon-eboard.xpm to eboard.xpm and install it to
      /usr/share/pixmaps. Clean eboard.xpm after
  * Drop debian/patches/90_use_debian_crafty_books.dpatch. crafty's book.bin
    is now located in /usr/share/crafty

 -- Vincent Legout <vlegout@debian.org>  Mon, 02 Jan 2012 20:19:13 +0100

eboard (1.1.1-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/91_fix_ftbfs_554315.dpatch: Closes: #554315.
  * Fixed spelling-error-in-description resizeable resizable.

 -- Bart Martens <bartm@debian.org>  Sun, 02 Oct 2011 14:04:13 +0200

eboard (1.1.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/95_ubuntu_gcc_4.4.dpatch added, fixes FTBFS "invalid
    conversion from 'const char*' to 'char*'", thanks to Fabrice
    Coutadeur from Ubuntu for the patch (Closes: #551718)

 -- David Paleino <dapal@debian.org>  Sun, 20 Dec 2009 14:44:06 +0100

eboard (1.1.1-4) unstable; urgency=low

  * Correct error in French translation (Simon Valiquette)

 -- Patrik Fimml <patrik@fimml.at>  Sun, 01 Feb 2009 12:33:19 +0100

eboard (1.1.1-3) unstable; urgency=low

  * Make eboard use crafty opening books in /var/lib/crafty (closes: #161497)
  * Fix sox sound playback (closes: #487782)
  * Compile with char defaulting to signed on all platforms (-fsigned-char,
    closes: #512366)
  * Fix French and Hungarian translations (Simon Valiquette)

 -- Patrik Fimml <patrik@fimml.at>  Sat, 31 Jan 2009 14:57:39 +0100

eboard (1.1.1-2) unstable; urgency=low

  * Fix data prefix to be /usr/share/games instead of
    /usr/share/games/eboard

 -- Patrik Fimml <patrik@fimml.at>  Fri, 06 Jun 2008 18:39:25 +0200

eboard (1.1.1-1) unstable; urgency=low

  * New upstream release (closes: #427434)
  * New maintainer (closes: #483054)
  * Suggest eboard-extras-pack2

  * Move eboard-addtheme to /usr/bin,
    revert manpage section accordingly

  * Add .desktop entry (closes: #478882)
    The entry still lacks proper localization.

 -- Patrik Fimml <patrik@fimml.at>  Tue, 27 May 2008 20:40:58 +0200

eboard (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Mon, 22 Jan 2007 20:00:05 -0800

eboard (1.0.2-1) unstable; urgency=low

  * New upstream release

  * Correct the stupid mistake I made in setting $datadir and test outside
    the build directory this time (otherwise the program cleverly finds
    the data files in its source directory and starts just fine!).
    Closes: #407084.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 15 Jan 2007 21:02:37 -0800

eboard (1.0.1-1) unstable; urgency=low

  * New upstream release

  * Acknowledge NMU (Closes: #356646)

  * eboard-extras has been removed from the archive for a long time now,
    so there's no need to suggest it any more. (Closes: #254306)

  * In the words of upstream, there are "many bugfixes".  I will try to
    reverify old bugs as I have time, but bug submitters should feel
    free to close their bugs on their own if this release fixes them.

 -- Daniel Burrows <dburrows@debian.org>  Mon,  8 Jan 2007 10:37:57 -0800

eboard (0.9.5-6.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Declare friend functions. (Closes: 356646)

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 23:05:25 +0200

eboard (0.9.5-6) unstable; urgency=low

  * Recompile against gdk-imlib11-dev and update Build-Depends.

  * Update FSF address in copyright file.

 -- Daniel Burrows <dburrows@debian.org>  Sun,  9 Oct 2005 11:17:00 -0700

eboard (0.9.5-5) unstable; urgency=low

  * Fix g++-4.0 compilation. (Closes: #297565)

 -- Daniel Burrows <dburrows@debian.org>  Tue,  9 Aug 2005 14:21:20 -0700

eboard (0.9.5-4) unstable; urgency=low

  * Patch configure to change the OTHER, SEPARATE definition of datadir
    to also be /usr/share/games (Closes: #258615)

 -- Daniel Burrows <dburrows@debian.org>  Wed,  7 Jul 2004 21:52:44 -0400

eboard (0.9.5-3) unstable; urgency=low

  * Delete Makefile.bloat.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 24 May 2004 15:19:44 -0400

eboard (0.9.5-2) unstable; urgency=low

  * Just give in and patch "configure", since it is apparently impossible
    to cleanly override its default (wrong) assumptions.
    (Closes: #250681)

  * Fix the section of eboard-addtheme(6, not 1)

 -- Daniel Burrows <dburrows@debian.org>  Mon, 24 May 2004 13:40:14 -0400

eboard (0.9.5-1) unstable; urgency=low

  * New upstream release

  * Upstream dropped autotools for a less powerful homegrown configure;
    rewrote debian/rules to compensate.

  * NEWS vanished; remove it from debian/docs.

  * Remove beta warning from the control file -- this still isn't stable, but
    it isn't in the primitive state it was in when the warning was
    included.

  * Bump standards-version so lintian stops complaining.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 23 May 2004 12:07:36 -0400

eboard (0.9.0-1) unstable; urgency=low

  * New upstream release (Closes: #204302)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 15 Nov 2003 11:07:42 -0500

eboard (0.8.0-2) unstable; urgency=low

  * Override upstream's optimization overkill (Closes: #181729)

 -- Daniel Burrows <dburrows@debian.org>  Thu, 20 Feb 2003 10:04:40 -0500

eboard (0.8.0-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Wed, 19 Feb 2003 09:35:01 -0500

eboard (0.7.0-2) unstable; urgency=low

  * Compile against g++ 3.2 (this program doesn't have any C++ library
    dependencies, so it should work)
  * Remove some dh_make cruft from debian/rules.  Use debhelper v4.

 -- Daniel Burrows <dburrows@debian.org>  Thu,  9 Jan 2003 10:16:09 -0500

eboard (0.7.0-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Mon,  4 Nov 2002 08:17:11 -0500

eboard (0.6.2-2) unstable; urgency=low

  * Build-Depend on gdk-imlib1-dev for libpng reasons.  (this may not be
    strictly necessary, but better safe than sorry..)

 -- Daniel Burrows <dburrows@debian.org>  Fri,  6 Sep 2002 14:45:15 -0400

eboard (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sun, 14 Jul 2002 15:46:40 -0400

eboard (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Fri, 12 Jul 2002 12:21:57 -0400

eboard (0.6.0-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Mon, 17 Jun 2002 13:27:06 -0400

eboard (0.5.2-1) unstable; urgency=low

  * New upstream release
    - Fixes for font problems. (Closes: #180043 -- this was also in 0.5.1-5)
    - Works with gnuchess 5.04 (not reported to the Debian BTS)

  * Corrected spelling error in description (Closes: #124589)

 -- Daniel Burrows <dburrows@debian.org>  Mon,  3 Jun 2002 09:34:18 -0400

eboard (0.5.1-5) unstable; urgency=low

  * Apply an upstream patch which might fix #180043.

 -- Daniel Burrows <dburrows@debian.org>  Wed, 29 May 2002 08:06:30 -0400

eboard (0.5.1-4) unstable; urgency=low

  * Suggests: eboard-extras-pack1 | eboard-extras (Closes: #146751)
  * Include a note in the description about gnuchess being needed for
    chess engine support.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 12 May 2002 15:07:47 -0400

eboard (0.5.1-3) unstable; urgency=low

  * Really work around g++-3.0 compilation errors (Closes:  #145572)

 -- Daniel Burrows <dburrows@debian.org>  Fri,  3 May 2002 09:28:49 -0400

eboard (0.5.1-2) unstable; urgency=low

  * Work around g++-3.0 compilation errors (Closes: #145572)

 -- Daniel Burrows <dburrows@debian.org>  Thu,  2 May 2002 22:05:36 -0400

eboard (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Wed,  1 May 2002 22:22:32 -0400

eboard (0.4.3-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sun,  7 Apr 2002 21:22:32 -0400

eboard (0.4.2-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Mon,  1 Apr 2002 10:23:39 -0500

eboard (0.4.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Mon, 11 Mar 2002 14:31:01 -0500

eboard (0.4.0-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sat, 16 Feb 2002 08:37:09 -0500

eboard (0.3.5-1) unstable; urgency=low

  * New upstream release
    - Auto-login scripts can be in any language now.  Closes: #116722

 -- Daniel Burrows <dburrows@debian.org>  Wed, 24 Oct 2001 08:12:43 -0400

eboard (0.3.4-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sat, 13 Oct 2001 10:26:23 -0400

eboard (0.3.3-1) unstable; urgency=low

  * New upstream release
  * eboard needs sox to play sounds, and uses xfonts-75dpi as its default
  fonts package.  Added a Recommends for both (the fonts package because
  upstream asked for it; apparently he's gotten bug reports when it wasn't
  installed)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 22 Sep 2001 13:27:37 -0400

eboard (0.3.2pl1-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Burrows <dburrows@debian.org>  Fri, 14 Sep 2001 16:50:49 -0400

eboard (0.3.1-5) unstable; urgency=low

  * D'oh, the program was hardcoding /usr/share for some datafiles instead
  of checking DATADIR.  Fixed.

 -- Daniel Burrows <dburrows@debian.org>  Tue,  7 Aug 2001 12:32:18 -0400

eboard (0.3.1-4) unstable; urgency=low

  * The list of themes is now generated from multiple files in
  /usr/share/games/eboard/eboard_themes.d.  This will hopefully allow
  multiple theme packages to be cleanly installed.  (yes, the program itself
  would preferably do this; this is just a hack for the time being while
  I wait for a proper solution)

 -- Daniel Burrows <dburrows@debian.org>  Tue,  7 Aug 2001 10:20:00 -0400

eboard (0.3.1-3) unstable; urgency=low

  * Move eboard-config to /usr/bin, where it really belongs (this should be
  done in a cleaner way, but right now the rules file just moves it manually)

 -- Daniel Burrows <dburrows@debian.org>  Tue,  7 Aug 2001 09:56:51 -0400

eboard (0.3.1-2) unstable; urgency=low

  * Use /usr/share/games/eboard for datafiles instead of /usr/share/eboard.
  * Fixed eboard-config to report correct values (eg, datafiles go in
  pkgdatadir, not $prefix/share/eboard; binaries go in bindir, not $prefix/bin

 -- Daniel Burrows <dburrows@debian.org>  Mon,  6 Aug 2001 22:46:27 -0400

eboard (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Mon,  6 Aug 2001 18:11:06 -0400

eboard (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Modified the description to reflect the current state of the software
    as per upstream's request.

 -- Daniel Burrows <dburrows@debian.org>  Sun,  1 Jul 2001 19:03:24 -0400

eboard (0.2.5-1) unstable; urgency=low

  * New upstream release
  * Removed obsolete debian/eboard.6

 -- Daniel Burrows <dburrows@debian.org>  Fri, 22 Jun 2001 18:27:10 -0400

eboard (0.2.4-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Tue, 12 Jun 2001 10:13:35 -0400

eboard (0.2.3-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Fri,  8 Jun 2001 10:26:13 -0400

eboard (0.2.2-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sun,  3 Jun 2001 23:20:17 -0400

eboard (0.2.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sat,  2 Jun 2001 20:05:50 -0400

eboard (0.1.8-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Wed, 16 May 2001 21:08:56 -0400

eboard (0.1.7-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sun, 13 May 2001 17:53:01 -0400

eboard (0.1.6-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Burrows <dburrows@debian.org>  Sat,  5 May 2001 18:20:23 -0400

eboard (0.1.5-1) unstable; urgency=low

  * New upstream version.  (eboard can use gnuchess instead of crafty now, yay!)

 -- Daniel Burrows <dburrows@debian.org>  Wed,  2 May 2001 15:50:54 -0400

eboard (0.1.4-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 29 Apr 2001 10:08:49 -0400

eboard (0.1.3-1) unstable; urgency=low

  * Initial Release.  (Closes: #95566)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 28 Apr 2001 15:10:13 -0400
